// Generated by CoffeeScript 1.12.7
(function() {
  var exec, log, path, ref, run, spawn,
    slice = [].slice;

  ref = require('child_process'), spawn = ref.spawn, exec = ref.exec;

  path = require('path');

  log = console.log;

  module.exports = function(task) {
    task('build', function() {
      var extensions, find, names;
      extensions = ['js', 'html', 'png', 'jpg', 'gif', 'css', 'md'];
      names = extensions.map(function(ext) {
        return "-iname \\*." + ext;
      });
      find = "find . \\( " + (names.join(' -o ')) + " \\)";
      return run("rm -rf lib && ./node_modules/.bin/coffee -o lib -c src && cd src && " + find + " -exec rsync -R {} ../lib \\;");
    });
    task('lint', function() {
      return log('CoffeeScript linting no longer supported');
    });
    task('pdf', function() {
      return log('PDF generation no longer supported');
    });
    option('-p', '--prefix', 'prefix for test files (prefix-string or dir/)');
    return task('test', function(options) {
      var pattern, prefix;
      prefix = options.path || '';
      pattern = "spec/{,**/}" + prefix + "*spec.coffee";
      log("Running tests at " + pattern + "...");
      return run("NODE_ENV=test TZ=GMT mocha --require coffee-script/register --reporter spec --colors --recursive '" + pattern + "'");
    });
  };

  run = function() {
    var a, args, binDirNpm2, binDirNpm3, callback, cmd, command, i, len, options, params;
    args = 1 <= arguments.length ? slice.call(arguments, 0) : [];
    for (i = 0, len = args.length; i < len; i++) {
      a = args[i];
      switch (typeof a) {
        case 'string':
          command = a;
          break;
        case 'object':
          if (a instanceof Array) {
            params = a;
          } else {
            options = a;
          }
          break;
        case 'function':
          callback = a;
      }
    }
    if (options == null) {
      options = {};
    }
    if (options.stdio == null) {
      options.stdio = 'inherit';
    }
    binDirNpm2 = path.join(__dirname, '..', 'node_modules', '.bin');
    binDirNpm3 = path.join('.', 'node_modules', '.bin');
    command = "PATH=$PATH:" + binDirNpm2 + ":" + binDirNpm3 + "; " + command;
    if (params != null) {
      command += " " + params.join + " ";
    }
    cmd = spawn('/bin/sh', ['-c', command], options);
    process.on('SIGHUP', function() {
      return cmd.kill();
    });
    return cmd.on('exit', function(code) {
      return process.exit(code);
    });
  };

}).call(this);
